#ifndef CpuMenu_h
#define CpuMenu_h

// $Id: CpuMenu.h,v 1.18 2014/09/12 08:43:12 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"

#include <QMenu>
#include <QAction>
#include <QHash>

namespace Cpu
{

    /*!
    \class CpuMenu
    \brief customized popup menu to open a previous logbook
    */
    class CpuMenu: public QMenu, public Counter
    {

        //! Qt meta object declaration
        Q_OBJECT

        public:

        //! constructor
        CpuMenu( const QString& = tr( "Select Cpu Name" ), QWidget* = 0 );

        //! destructor
        virtual ~CpuMenu( void )
        {}

        //! selected cpu name
        virtual void setDevice( const QString& value )
        { device_ = value; }

        Q_SIGNALS:

        //! signal emited when a cpu is selected
        void deviceSelected( QString );

        private Q_SLOTS:

        //! select cpu
        void _select( QAction* );

        //! load list of cpu names and update
        void _update( void );

        private:

        //! selected cpu
        QString device_;

        // action group
        QActionGroup* actionGroup_;

        //! map actions to file recors
        using ActionMap = QHash<QAction*, QString>;

        //! map actions to FileRecords
        ActionMap actions_;

    };

};

#endif
