#ifndef DiskLoad_24_h
#define DiskLoad_24_h

// $Id: DiskLoad_24.h,v 1.12 2014/02/10 11:08:16 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "Debug.h"
#include "DiskLoad.h"

#include <QString>

namespace Disk
{

    //! measure relative cpu load from /proc/stat file [2.4 kernel version]
    class DiskLoad_24: public DiskLoad
    {

        public:

        //! constructor
        DiskLoad_24( void );

        //! load disk_id to string map
        void loadIdMap( void );

        //! update all dataSamples from file
        void update( void );

        private:

        //! get device short name if available
        QString _device( const QString& device );

        //! filename
        const QString filename_;

        //! partition filename
        const QString partitionFilename_;

        //! device directory
        const QString devDirectory_;

    };

};

#endif
